cgGetDomainString(3)

NAME
cgGetDomainString - get the domain name associated with a domain enumerant

SYNOPSIS
  #include <Cg/cg.h>

  const char * cgGetDomainString( CGdomain domain );

PARAMETERS

domain
    The domain enumerant.

RETURN VALUES
Returns the domain string of the enumerant domain.

Returns NULL if domain is not a valid domain.

DESCRIPTION
cgGetDomainString returns the domain name associated with a domain enumerant.

EXAMPLES
  static void dumpCgProgramInfo(CGprogram program)
  {
    const char* p = cgGetDomainString(cgGetProgramDomain(program));
    if ( p ) {
      printf(" Domain: %s\n", cgGetDomainString(cgGetProgramDomain(program)));
    }
    /* ... */
  }

ERRORS
None.

HISTORY
cgGetDomainString was introduced in Cg 2.2.

SEE ALSO
cgGetDomain, cgGetProgramDomain